メインコンテンツへスキップ
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
metadata
トークン - メタデータ
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/metadata \
  --header 'Authorization: Bearer <token>'
{
  "address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "chain": "sol",
  "decimals": "9",
  "name": "USD Coin",
  "symbol": "USDC",
  "coingeckoCoinId": "usd-coin",
  "description": "USDC is a stablecoin pegged to the US dollar",
  "devLastTokenCreatedAt": "2025-12-03T09:23:34.000Z",
  "devTotalTokens": "163",
  "extra": {
    "collectionAddress": "ABCDE",
    "editionNonce": 1,
    "freezeAuthority": "B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV",
    "fungible": true,
    "isMutable": true,
    "isNative": false,
    "isVerifiedCollection": true,
    "isWrapped": false,
    "key": "Mint",
    "launchFromProgramAddress": "6EF8rrecthR5Dkzon8Nwu78hRvfCKubJ14M5uBEwF6P",
    "launchFromProtocolFamily": "pumpfun",
    "migratedAt": 1714857600000,
    "migratedToPoolAddress": "7AvUMqLBou5EAXzyhnizWmPU13u2VguJoBYdcX4bhJtQ",
    "migratedToProgramAddress": "pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA",
    "migratedToProtocolFamily": "Raydium",
    "mintAuthority": "B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV",
    "primarySaleHappened": false,
    "programAddress": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
    "sellerFeeBasisPoints": 100,
    "tokenStandard": "Fungible",
    "updateAuthority": "B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV"
  },
  "imageUrl": "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png",
  "metadataAddress": "metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s",
  "socialMedias": {
    "bitbucket": "https://bitbucket.org/circle",
    "discord": "https://discord.gg/circle",
    "facebook": "https://facebook.com/circle",
    "github": "https://github.com/circle",
    "instagram": "@circle",
    "linkedin": "https://linkedin.com/company/circle",
    "medium": "https://medium.com/@circle",
    "reddit": "https://reddit.com/r/circle",
    "telegram": "https://t.me/circle",
    "tiktok": "@circle",
    "twitter": "@circle",
    "website": "https://www.circle.com",
    "youtube": "https://youtube.com/@circle"
  },
  "tokenCreatedAt": 1710417600000,
  "tokenCreatedBlockHeight": "220000000",
  "tokenCreatedSlot": "230000000",
  "tokenCreatedTxSignature": "5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz...",
  "tokenCreators": [
    {
      "address": "5e2qRc1DNEXmyxP8qwPwJhRWjef7usLyi7v5xjqLr5G7",
      "isVerified": true,
      "share": 100
    }
  ],
  "updatedAt": "2026-02-09T08:05:12.345Z",
  "uri": "https://arweave.net/abc123"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名 Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc
tokenAddress
string
必須

トークンのアドレス

レスポンス

200 - application/json

メタデータを取得

Token metadata

address
string
必須

トークンコントラクトアドレス

:

"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"

chain
string
必須

ブロックチェーンネットワーク識別子

:

"sol"

decimals
string
必須

小数点以下の桁数

:

"9"

name
string
必須

トークンの表示名

:

"USD Coin"

symbol
string
必須

トークンのティッカーシンボル

:

"USDC"

coingeckoCoinId
string | null

CoinGecko コイン識別子

:

"usd-coin"

description
string | null

トークンの説明

:

"USDC is a stablecoin pegged to the US dollar"

devLastTokenCreatedAt
string | null

開発者の最後のトークン作成タイムスタンプ

:

"2025-12-03T09:23:34.000Z"

devTotalTokens
string | null

開発者が作成したトークンの総数

:

"163"

extra
object

拡張トークンメタデータ

imageUrl
string | null

トークンロゴ画像 URL

:

"https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png"

metadataAddress
string | null

オンチェーンメタデータアカウントアドレス

:

"metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s"

socialMedias
object

トークンのソーシャルメディアリンク

tokenCreatedAt
integer<int64> | null

トークン作成タイムスタンプ(ミリ秒)

:

1710417600000

tokenCreatedBlockHeight
string | null

トークンが作成されたブロック高

:

"220000000"

tokenCreatedSlot
string | null

トークンが作成されたスロット番号

:

"230000000"

tokenCreatedTxSignature
string | null

トークン作成のトランザクション署名

:

"5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz..."

tokenCreators
object[]

トークン作成者リスト

updatedAt
string | null

最終更新タイムスタンプ

:

"2026-02-09T08:05:12.345Z"

uri
string | null

トークンメタデータ URI

:

"https://arweave.net/abc123"